<?php

namespace App\Events;

use Illuminate\Broadcasting\Channel;
use Illuminate\Queue\SerializesModels;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Broadcasting\PresenceChannel;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use App\Tweet;

class TweetAcceptedEvent
{
    use Dispatchable, SerializesModels;

    public $tweet;
    public $previousMissionStatus;

    /**
     * Create a new event instance.
     *
     * @return void
     */
    public function __construct(Tweet $tweet, $previousMissionStatus)
    {
        $this->tweet = $tweet;
        $this->previousMissionStatus = $previousMissionStatus;
    }

    /**
     * Get the channels the event should broadcast on.
     *
     * @return Channel|array
     */
    public function broadcastOn()
    {
        return [];
    }
}
