<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Team extends Model
{
    protected $fillable = [
      'name', 'slug', 'color'
    ];

    public function getRouteKeyName() {
      return 'slug';
    }    

    public function players() {
      return $this->hasMany('App\Player');
    }

    public function tweets() {
      return $this->hasMany('App\Tweet');
    }

    public function total_score() {
      $score = 0;
      $missions = Mission::get();
      foreach($missions as $mission) {
        $score += $mission->score($this);
      }
      return $score;
    }
}
