<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTweetQueue extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tweets', function (Blueprint $table) {
            $table->increments('id');
            $table->timestamps();

            $table->integer('player_id');
            $table->integer('team_id');

            $table->text('text');
            $table->text('photo');

            $table->datetime('claimed_at')->nullable();
            $table->boolean('processed')->default(0);

            $table->integer('mission')->default(0);

            // Mission 1
            $table->integer('m1_transit_line_id')->nullable();
            $table->string('m1_non_trimet', 255)->nullable();

            // Mission 2
            $table->integer('m2_transit_center_id')->nullable();
            $table->boolean('m2_with_other_team')->default(0);

            // Mission 3
            $table->boolean('m3_complete')->nullable();

            // Mission 4
            $table->boolean('m4_complete')->nullable();

            // Mission 5
            $table->boolean('m5_complete')->nullable();
            $table->boolean('m5_tip')->nullable();

            // Mission 6
            $table->boolean('m6_complete')->nullable();

            // Mission 7
            $table->integer('m7_document_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tweets');
    }
}
