@extends('layouts.app')

@section('content')
<div class="container">
  <div class="row">
    <div class="col-md-8 col-md-offset-2">

      @if(session('status'))
        <div class="alert alert-{{ session('status') }}" role="alert">{!! session('status-message') !!}</div>
      @endif

      <form action="{{ route('sms-send') }}" method="post">
        <h3>Broadcast a Message</h3>
        <p>Enter a message to send. The message length is limited based on the longest person's name. To include the person's name, enter the placeholder <code>{name}</code>.</p>

        <div class="form-group">
          <textarea name="text" class="form-control" rows="2" maxlength="{{ $maxlen }}">Hi {name}!</textarea>
        </div>

        <button type="submit" class="btn btn-primary">Broadcast</button>

        {{ csrf_field() }}
      </form>



      <form action="{{ route('sms-save') }}" method="post">

        <h3>Phone Numbers</h3>
        <p>Enter your phone number database, one person per line. First name followed by their phone number. Numbers will be normalized to US format when saved.</p>
        <div class="form-group">
          <textarea name="input" class="form-control" rows="8">
@foreach($numbers as $number)
{{ $number->name }} {{ $number->phone }}
@endforeach</textarea>
        </div>

        <button type="submit" class="btn btn-primary">Save</button>

        {{ csrf_field() }}
      </form>

    </div>
  </div>
</div>
@endsection
