<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
  return view('welcome');
});

Auth::routes();

Route::get('/dashboard', 'DashboardController@index')->name('dashboard');
Route::get('/dashboard/queue', 'DashboardController@queue')->name('queue');
Route::get('/dashboard/ping', 'DashboardController@ping');
Route::get('/dashboard/dropdowns', 'DashboardController@load_dropdowns');
Route::post('/dashboard/claim-tweet', 'DashboardController@claim_tweet');
Route::post('/dashboard/reject-tweet', 'DashboardController@reject_tweet');
Route::post('/dashboard/score-tweet', 'DashboardController@score_tweet');
Route::post('/dashboard/reply', 'DashboardController@reply_to_tweet');

Route::get('/import', 'ImportController@index')->name('import');
Route::post('/import/preview', 'ImportController@preview');
Route::get('/import/preview', 'ImportController@preview');
Route::post('/import/save', 'ImportController@save');

Route::get('/slideshow', 'SlideshowController@slideshow')->name('slideshow');

Route::get('/teams', 'TeamController@index')->name('teams');
Route::post('/teams/new', 'TeamController@create_team');
Route::post('/teams/add-player', 'TeamController@add_player');

Route::get('/scoreboard', 'ScoreboardController@index')->name('scoreboard');

Route::post('/twitter/stream', 'TwitterController@input');

Route::get('/mission/{mission}', 'ShowTweetsController@mission')->name('mission');
Route::get('/team/{team}', 'ShowTweetsController@team')->name('team');
Route::get('/tweets', 'ShowTweetsController@all')->name('tweets');

Route::get('/sms', 'SMSController@index')->name('sms');
Route::post('/sms/save-numbers', 'SMSController@save')->name('sms-save');
Route::post('/sms/send', 'SMSController@send')->name('sms-send');
